You are here

Gramps 5.1.5 - Avast antivirus detects threat in libgio-2.0-0.dll

2 posts / 0 new
Last post
PBN
Offline
Last seen: 9 months 1 week ago
Joined: 2022-02-17 17:15
Gramps 5.1.5 - Avast antivirus detects threat in libgio-2.0-0.dll

I use Gramps portable on Windows 11
New version (5.1.5) installed correctly.
But at first run Avast Antivirus software warns that libgio-2.0-0.dll contains threat "IDP:Generic".
I add an exception to Avast and it's ok.
Then Gramps runs correctly (but I didn't check many features).

I reported a bug to Gramps -> see https://gramps-project.org/bugs/view.php?id=12573
I add a screnshot there with the avast detail report.

Gramps support answer is that the bug should be fixed by PortableApps.
Thank for your great job.

John T. Haller
John T. Haller's picture
Offline
Last seen: 1 hour 24 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Clean file, Avast issue

This file is unchanged in 4 years and exists in both Gramps and Gramps Portable. The issue is with Avast, though. This is a false positive. You can verify it with VirusTotal, which scans a file in 70+ antivirus engines: https://www.virustotal.com/gui/file/8f83a81e89dde9d4d774348c51de343a90d5...

It shows as a 'generic' error because Avast is guessing that it could be bad based on its heuristic engine. You'll need to let Avast know about their error.

Sometimes, the impossible can become possible, if you're awesome!

Log in or register to post comments